---
orphan: true
---

# Query resource operation details

Query the status and results of an agent's resource operations.

```text
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/operations/{operation_id}
```

## Preparation before calling

The examples below use `$AI_STUDIO_API_KEY`, `$WORKSPACE_ID`, and `$OPERATION_ID`.

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/operations/$OPERATION_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and operation details on success.

```json
{"code":0,"data":{"id":"op_01","status":"running"}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.id` | string | Operation ID. |
| `data.status` | string | Operation status. |

## Error response

```json
{"code":5,"message":"operation not found"}
```
